Module javafx.controls
Package javafx.scene.control

# Class DialogEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.control.DialogEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class DialogEvent
    extends Event

Event related to dialog showing/hiding actions. In particular, this event is used exclusively by the following methods:

- `Dialog.onShowingProperty()`
- `Dialog.onShownProperty()`
- `Dialog.onHidingProperty()`
- `Dialog.onCloseRequestProperty()`
- `Dialog.onHiddenProperty()`

Since:
  JavaFX 8u40
See Also:
  `Dialog`, Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static EventType<DialogEvent>` | `ANY` | Common supertype for all dialog event types.
  `static EventType<DialogEvent>` | `DIALOG_CLOSE_REQUEST` | This event is delivered to a dialog when there is an external request to close that dialog.
  `static EventType<DialogEvent>` | `DIALOG_HIDDEN` | This event occurs on dialog just after it is hidden.
  `static EventType<DialogEvent>` | `DIALOG_HIDING` | This event occurs on dialog just before it is hidden.
  `static EventType<DialogEvent>` | `DIALOG_SHOWING` | This event occurs on dialog just before it is shown.
  `static EventType<DialogEvent>` | `DIALOG_SHOWN` | This event occurs on dialog just after it is shown.

  ### Fields declared in class javafx.event.Event

  `consumed, eventType, NULL_SOURCE_TARGET, target`

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialogEvent​(Dialog<?> source, EventType<? extends Event> eventType)` | Construct a new `Event` with the specified event source, target and type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DialogEvent` | `copyFor​(Object newSource, EventTarget newTarget)` | Creates and returns a copy of this event with the specified event source and target.
  `DialogEvent` | `copyFor​(Object newSource, EventTarget newTarget, EventType<DialogEvent> type)` | Creates a copy of the given event with the given fields substituted.
  `EventType<DialogEvent>` | `getEventType()` | Gets the event type of this event.
  `String` | `toString()` | Returns a string representation of this `DialogEvent` object.

  ### Methods declared in class javafx.event.Event

  `clone, consume, fireEvent, getTarget, isConsumed`

  ### Methods declared in class java.util.EventObject

  `getSource`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ANY

    public static final EventType<DialogEvent> ANY
    Common supertype for all dialog event types.

  - ### DIALOG_SHOWING

    public static final EventType<DialogEvent> DIALOG_SHOWING
    This event occurs on dialog just before it is shown.

  - ### DIALOG_SHOWN

    public static final EventType<DialogEvent> DIALOG_SHOWN
    This event occurs on dialog just after it is shown.

  - ### DIALOG_HIDING

    public static final EventType<DialogEvent> DIALOG_HIDING
    This event occurs on dialog just before it is hidden.

  - ### DIALOG_HIDDEN

    public static final EventType<DialogEvent> DIALOG_HIDDEN
    This event occurs on dialog just after it is hidden.

  - ### DIALOG_CLOSE_REQUEST

    public static final EventType<DialogEvent> DIALOG_CLOSE_REQUEST
    This event is delivered to a dialog when there is an external request to close that dialog. If the event is not consumed by any installed dialog event handler, the default handler for this event closes the corresponding dialog.

- ## Constructor Details

  - ### DialogEvent

    public DialogEvent​(Dialog<?> source, EventType<? extends Event> eventType)
    Construct a new `Event` with the specified event source, target and type. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value.
    Parameters:
      `source` - the event source which sent the event
      `eventType` - the event type

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `DialogEvent` object.
    Overrides:
      `toString` in class `EventObject`
    Returns:
      a string representation of this `DialogEvent` object.

  - ### copyFor

    public DialogEvent copyFor​(Object newSource, EventTarget newTarget)
    Description copied from class: `Event`
    Creates and returns a copy of this event with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value.
    Overrides:
      `copyFor` in class `Event`
    Parameters:
      `newSource` - the new source of the copied event
      `newTarget` - the new target of the copied event
    Returns:
      the event copy with the new source and target

  - ### copyFor

    public DialogEvent copyFor​(Object newSource, EventTarget newTarget, EventType<DialogEvent> type)
    Creates a copy of the given event with the given fields substituted.
    Parameters:
      `newSource` - the new source of the copied event
      `newTarget` - the new target of the copied event
      `type` - the new eventType
    Returns:
      the event copy with the fields substituted

  - ### getEventType

    public EventType<DialogEvent> getEventType()
    Description copied from class: `Event`
    Gets the event type of this event. Objects of the same `Event` class can have different event types. These event types further specify what kind of event occurred.
    Overrides:
      `getEventType` in class `Event`
    Returns:
      the event type